/*
 * Copyright (c) 2015 Tricoire Sebastien 3dsman@free.fr
 *
 * This software is provided 'as-is', without any express or implied
 * warranty.  In no event will the authors be held liable for any damages
 * arising from the use of this software.
 *
 * Permission is granted to anyone to use this software for any purpose,
 * including commercial applications, and to alter it and redistribute it
 * freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not
 * claim that you wrote the original software. If you use this software
 * in a product, an acknowledgment in the product documentation would be
 * appreciated but is not required.
 * 2. Altered source versions must be plainly marked as such, and must not be
 * misrepresented as being the original software.
 * 3. This notice may not be removed or altered from any source distribution.
 *
 */

#include "OE_thread.h"
#include "Archive.h"
#include <iostream>
#include <ctype.h>

float OE_thread::defaultWidth = 1;
OE_color OE_thread::defaultColor = OE_color(.1, .1, .1, 1.0);

OE_thread::OE_thread()
{
	width = defaultWidth;
	color = defaultColor;
}

OE_thread::OE_thread(OE_color color, float width)
{
	this->color = color;
	this->width = width;
}

/*
OE_thread::OE_thread(unsigned char r, unsigned char g, unsigned char b, float width)
{
	setColor( r, g, b);
	this->width = width;
}
*/

OE_thread::~OE_thread()
{
}

void OE_thread::persist(Pakal::Archive* archive)
{
	//archive->set_type_name("OE_thread");
	archive->value("color", color);
	archive->value("width", width);
}

OE_color OE_thread::getColor()
{
	return color;
}

void  OE_thread::setColor(OE_color color)
{
	this->color = color;
}

void  OE_thread::setWidth(float width)
{
	this->width = width;
}

float OE_thread::getWidth()
{
	return width;
}

